%global npm_name cryptiles
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 4.1.1
Release: %mkrel 5
Summary: General purpose crypto utilities
License: BSD
Group: Development/Other
URL: https://github.com/hapijs/cryptiles#readme
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
Requires: npm(boom)
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr lib %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc README.md



%changelog
* Sat Jul 04 2020 joequant <joequant> 4.1.1-5.mga8
+ Revision: 1601971
- redo deps

* Wed Feb 12 2020 umeabot <umeabot> 4.1.1-4.mga8
+ Revision: 1502550
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 4.1.1-3.mga7
+ Revision: 1280207
- Mageia 7 Mass Rebuild

* Tue May 22 2018 kekepower <kekepower> 4.1.1-2.mga7
+ Revision: 1231633
- Update and fix nodejs deps

* Mon May 07 2018 kekepower <kekepower> 4.1.1-1.mga7
+ Revision: 1227071
- imported package nodejs-cryptiles

